1. PowerBi
RTRDA
  • PowerBi
    • GET Course
      GET
    • GET Railway system progress
      GET
    • GET Electric railway system progress
      GET
    • GET Electric railway passenger
      GET
    • GET Research
      GET
    • GET Disruptions
      GET
  1. PowerBi

GET Course

Developing
GET
/powerbi/course
ข้อมูลหลักสูตร

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/powerbi/course' \
--header 'x-api-key;'
Response Response Example
{
    "data": [
        {
            "university": "Khon Kaen University",
            "faculty": "Faculty of Engineering",
            "department": "Computer Engineering",
            "courseNameTh": "วิศวกรรมคอมพิวเตอร์",
            "courseNameEn": "Computer Engineering",
            "courseType": "Bachelor",
            "courseDetails": "Focus on information technology and innovation development",
            "studentsPerYear": 80,
            "courseWebsite": "https://coe.kku.ac.th",
            "coordinator": "Dr. Somchai Jaidee",
            "coordinatorEmail": "somchai.j@kku.ac.th"
        },
        {
            "university": "Chulalongkorn University",
            "faculty": "Faculty of Science",
            "department": "Mathematics and Computer Science",
            "courseNameTh": "วิทยาการคอมพิวเตอร์",
            "courseNameEn": "Computer Science",
            "courseType": "Bachelor",
            "courseDetails": "Emphasis on theory and applied computer science",
            "studentsPerYear": 120,
            "courseWebsite": "https://www.sc.chula.ac.th",
            "coordinator": "Assoc. Prof. Anucha Wong",
            "coordinatorEmail": "anucha.w@chula.ac.th"
        }
    ],
    "total": 2
}
Modified at 2025-08-18 10:01:16
Next
GET Railway system progress
Built with